Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:        various modules for the Enlightenment window manager
Name:           enlightenment-modules
Version:        20071104
Release:        1
License:        BSD
URL:            http://www.enlightenment.org/
Group:          Graphical Desktop/Enlightenment17
Source0:        %{name}-%{version}.tar.gz
Source1:        alarm-%{version}.tar.gz
Source2:        bling-%{version}.tar.gz
Source3:        cpu-%{version}.tar.gz
Source4:        deskshow-%{version}.tar.gz
Source5:        emu-%{version}.tar.gz
Source6:        flame-%{version}.tar.gz
Source7:        forecasts-%{version}.tar.gz
Source8:        language-%{version}.tar.gz
Source9:        mail-%{version}.tar.gz
Source10:       mem-%{version}.tar.gz
Source11:       mixer-%{version}.tar.gz
Source12:       moon-%{version}.tar.gz
Source13:       net-%{version}.tar.gz
Source14:       news-%{version}.tar.gz
Source15:       photo-%{version}.tar.gz
Source16:       rain-%{version}.tar.gz
Source17:       screenshot-%{version}.tar.gz
Source18:       slideshow-%{version}.tar.gz
Source19:       snow-%{version}.tar.gz
Source20:       taskbar-%{version}.tar.gz
Source21:       tclock-%{version}.tar.gz
Source22:       uptime-%{version}.tar.gz
Source23:       weather-%{version}.tar.gz
Source24:       winselector-%{version}.tar.gz
Source25:       wlan-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  libX11-devel libXcursor-devel libXdamage-devel libXext-devel
BuildRequires:  libXfixes-devel libXinerama-devel libXp-devel libXrandr-devel
BuildRequires:  DirectFB-devel ecore-devel evas-devel edje-devel eet-devel
BuildRequires:  embryo-devel expat-devel fontconfig-devel freetype-devel
BuildRequires:  SDL-devel sysfsutils-devel libidn-devel openldap-devel
BuildRequires:  libjpeg-devel openldap-devel cyrus-sasl-devel zlib-devel
BuildRequires:  openssl-devel libXcomposite-devel libxkbfile-devel

%description
various modules for the Enlightenment window manager

List:
	- alarm
	- bling
	- cpu
	- deskshow
	- emu
	- flame
	- forecasts
	- language
	- mail
	- mem
	- mixer
	- moon
	- net
	- news
	- photo
	- rain
	- screenshot
	- slideshow
	- snow
	- taskbar
	- tclock
	- uptime
	- weather
	- winselector
	- wlan

%prep
%setup -q -n %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16 -a17 -a18 -a19 -a20 -a21 -a22 -a23 -a24 -a25

%build
for i in  alarm bling cpu deskshow emu flame forecasts language mail mem mixer moon net news photo rain screenshot slideshow snow taskbar tclock uptime weather winselector wlan
do
	cd $i
	./autogen.sh
	%configure
	make
	cd -
done

%install
rm -rf %{buildroot}
for i in  alarm bling cpu deskshow emu flame forecasts language mail mem mixer moon net news photo rain screenshot slideshow snow taskbar tclock uptime weather winselector wlan
do
	cd $i
	make install DESTDIR=%{buildroot}
	cd -
done
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr (-, root, root)
%_bindir/emu_client
%_libdir/enlightenment/modules/*
/usr/share/locale/*/LC_MESSAGES/*.mo

%clean
rm -rf %{buildroot}

%changelog
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071102-1
- Initial release

